/*
 Theme Name:     Divi Child Theme PSR
 Theme URI:      http://www.psr.run
 Description:    Divi Child Theme PSR
 Author:         BiFree
 Author URI:     http://www.bifree.cat
 Template:       Divi
 Version:        1.0.0
*/

@import url("../Divi/style.css");

/* =Theme customization starts here
------------------------------------------------------- 

/* Setting the breakpoint of the mobile menu */
/*
 * Aquest apartat serveix per fer saltar el hamburguer menu abans del que té divi per defecte. Això serveix perquè en menús molt grans com el nostre hi ha un punt en què pot saltar a tenir dues files el menú i queda malament, llavors en aquests casos és millor fer el hamburguer menu abans d'hora. De totes formes això passava abans però no sé si hi ha hagut algun canvi que ara no passa i per això està desactivat
@media only screen and ( max-width: 1100px ) and ( min-width: 981px ){
#top-menu-nav, #top-menu {display: none;}
#et_top_search {display: none;}
#et_mobile_nav_menu {display: block;}
*/
/*
 * Aquest següent punt serveix per si volem que la barra de dalt desapareixi
.et_fixed_nav #main-header, .et_fixed_nav #top-header{
position: absolute;
}
}
*/

@media (max-width: 980px){
/*********************************
style mobile fixed header
*********************************/
.et_fixed_nav #main-header.et-fixed-header  {
position: fixed;
background: rgba(255,255,255,0.8);
height: 55px;
}
.et-fixed-header .logo_container {
height: 55px;
}
.et-fixed-header .mobile_menu_bar {
padding-bottom: 5px;
}
#main-header.et-fixed-header {
top:0!important;
}	

/********************************
make mobile fixed header navigation icon larger
*********************************/
 
.et-fixed-header .mobile_menu_bar:before {
font-size: 45px;
}
.et_header_style_left .et-fixed-header #et-top-navigation {
padding-top: 5px;
}
.et_fixed_nav #et-top-navigation {
-webkit-transition: none;
-moz-transition: none;
transition: none;
}
	
/**************************
Increase height of logo area on mobile and mobile fixed header
***************************/
#logo, .et-fixed-header #logo {
max-height: 80%;
}
}

/**************************
Making the Mobile Dropdown Scrollable
***************************/
.et_mobile_menu {
    overflow: scroll !important;
    max-height: 80vh;
}

/**************************
Changing the Number of Columns in the Divi Gallery Module at Different Breakpoints: Fer que en un escriptori d'ordinador es vegin 6 fotos enlloc de 4 a la galeria i que en el mòbil es vegin 2 enlloc de 1. Això fa que no s'hagi de baixar tant en una mateixa pàgina fns arribar al final. Sobretot pensat per la galeria de la home page.
***************************/
/** Desktop **/
@media (min-width: 981px){
.col-width .et_pb_gallery_item {
width: 16.66% !important; /*six columns*/
clear: none !important;
}
}
/** Tablet **/
@media (max-width: 980px){
.col-width .et_pb_gallery_item {
width: 25% !important; /*four columns*/
clear: none !important;
}
}
/** Small Tablet and Large Phone **/
@media (max-width: 767px){
.col-width .et_pb_gallery_item {
width: 33.33% !important; /*three columns*/
clear: none !important;
}
}
/** Phone **/
/**************************
Aquest l'activo no només per la portada (trec el .col-width) sinó per totes les galeries
***************************/
@media (max-width: 479px){
.et_pb_gallery_item {
width: 50% !important; /*two columns*/
clear: none !important;
}
}

/**************************
Aquest el faig per la galeria multimedia que només afecti els mobils la resta ja està bé com surt
***************************/
/** Phone **/
@media (max-width: 479px){
.col-multimedia .et_pb_gallery_item {
width: 50% !important; /*two columns*/
clear: none !important;
}
}

/* Add text "Language" after the hamburger menu in DIVI
 * Això és un menú fix que surt a totes les pàgines en mòbil i tablet a baix de tot, la pàgina està a Divi->Theme Builder. Dins de la Secció->Advanced->CSS Class hi posem language i aplicarà això perquè surti language també i no sigui només la icona
*/
.language .mobile_menu_bar::after {
position: relative !important;
content: "Language";
bottom: 10px;
left: 4%;
color: #e5e5e5;
	}


/* Contact Form 7 Styles
---------------------------------*/
.wpcf7-form { 
	background:#F0F0F0; 
	padding:20px; 
	border:2px solid #6d5d52; 
	margin-bottom:30px; 
	border-radius:7px; 
}
 
.wpcf7-form input { 
	background:#fff; 
	padding:5px 7px; 
	border:3px solid #6d5d52; 
	margin-bottom:8px; 
	border-radius:7px;
}

.wpcf7-form text { 
	width: 50%;
} 

.wpcf7-form textarea { 
	background:#fff; 
	padding:5px 0px 5px 7px; 
	border:3px solid #6d5d52; 
	border-radius:7px;
	width: 85%;
}
 
.wpcf7-form p { 
	color:#4f2a0f; 
	margin-top:10px; 
}
 
.wpcf7-form .wpcf7-submit { 
	background:#c1dfbf; 
	cursor:pointer;
	padding-left:15px; 
	padding-right:15px; 
	color:#6d5d52; 
	border-radius:7px;
}

.et_pb_main_blurb_image img {
max-width: 100% !important;
width: 100% !important;
}

/* Centrar verticalment les rows, nova CSS class
---------------------------------*/

.ds-vertical-align { 
    display: flex; 
    flex-direction: column; 
    justify-content: center;
} 


/* Links amb color als headers
---------------------------------*/

h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {
	color: #de5b47;
}

h1 a:hover, h2 a:hover, h3 a:hover, h4 a:hover, h5 a:hover, h6 a:hover {
	text-decoration: underline;
}

/* Descompte als preus...
---------------------------------

.discount .et_pb_sum::before {
    content: '';
    margin-right: 5px;
    font-size: 40px;
    color: gray;
    text-decoration: line-through;
}
.discount .et_pb_pricing_table:nth-of-type(1) .et_pb_sum::before { content: '675'; }
.discount .et_pb_pricing_table:nth-of-type(2) .et_pb_sum::before { content: '999'; }



.phonediscount .et_pb_sum::before {
    content: '';
    margin-right: 5px;
    font-size: 40px;
    color: gray;
    text-decoration: line-through;
}
.phonediscount .et_pb_pricing_table:nth-of-type(2) .et_pb_sum::before { content: '675'; }
.phonediscount .et_pb_pricing_table:nth-of-type(1) .et_pb_sum::before { content: '999'; }




.engdiscount .et_pb_pricing_table:nth-of-type(1) .et_pb_pricing_content_top::after { content: '\A 15% discount for registrations 1-20 \A 10% discount for registrations 21-50';
  white-space: pre-wrap; }
.engdiscount .et_pb_pricing_table:nth-of-type(2) .et_pb_pricing_content_top::after { content: '\A 15% discount for registrations 1-20 \A 10% discount for registrations 21-50';
  white-space: pre-wrap; }
.espdiscount .et_pb_pricing_table:nth-of-type(1) .et_pb_pricing_content_top::after { content: '\A 15% descuento para las inscripciones 1-20 \A 10% descuento para las inscripciones 21-50';
  white-space: pre-wrap; }
.espdiscount .et_pb_pricing_table:nth-of-type(2) .et_pb_pricing_content_top::after { content: '\A 15% descuento para las inscripciones 1-20 \A 10% descuento para las inscripciones 21-50';
  white-space: pre-wrap; }
.catdiscount .et_pb_pricing_table:nth-of-type(1) .et_pb_pricing_content_top::after { content: '\A 15% descompte pels inscrits 1-20 \A 10% descompte pels inscrits 21-50';
  white-space: pre-wrap; }
.catdiscount .et_pb_pricing_table:nth-of-type(2) .et_pb_pricing_content_top::after { content: '\A 15% descompte pels inscrits 1-20 \A 10% descompte pels inscrits 21-50';
  white-space: pre-wrap; }
*/